/**
 * Easy Coverage for Java
 * <p>
 * Copyright 2011-2012 Tocea Technology Solutions http://www.tocea.com
 * <p>
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
 * <p>
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 * <p>
 * You should have received a copy of the GNU Lesser General Public License along with this library. If not, see
 * <http://www.gnu.org/licenses/>.
 * <p>
 **/

package com.tocea.easycoverage.framework.behaviour.api;



/**
 * This type describes a specific kind of behaviour that will be tested again a class.
 * <p>
 * 
 * @author $Author: sleroy $
 * @since 12 mai 2012
 * @copyright Copyright (C) 2010-2012 TOCEA
 */

public interface ITestBehaviour
{
    
    
    /**
     * This method performs a new test on a instance of the class.
     * 
     * @param _testedClass
     *            the tested class.
     * @return the tested class.
     */
    IClassTest newInstanceTest(Object _testedClass);
    
    
    /**
     * This method performs a new test.
     * 
     * @param _testedClass
     *            the tested class.
     * @return the tested class.
     */
    IClassTest newTest(Class<?> _testedClass);
}
